### Method

# Xdp Session pointer_axis_discrete

#### Declaration [src]

    void
    xdp_session_pointer_axis_discrete (
      XdpSession* session,
      XdpDiscreteAxis axis,
      int steps
    )

#### Description [src]

The axis movement from a discrete scroll device.

May only be called on a remote desktop session with `XDP_DEVICE_POINTER` access.

#### Parameters

`axis`

  Type: `XdpDiscreteAxis`

  The axis to change.

`steps`

  Type: `int`

  Number of steps scrolled.